Update Catalog
curl --request PUT \
--url https://api.joinrefine.io/organizations/{orgId}/catalogs/{catalogId} \
--header 'Content-Type: application/json' \
--header 'REFINE_API_KEY: <api-key>' \
--data '
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"description": "<string>"
}
'import requests
url = "https://api.joinrefine.io/organizations/{orgId}/catalogs/{catalogId}"
payload = {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"description": "<string>"
}
headers = {
"REFINE_API_KEY": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {REFINE_API_KEY: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
name: '<string>',
organizationId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
description: '<string>'
})
};
fetch('https://api.joinrefine.io/organizations/{orgId}/catalogs/{catalogId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"description": "<string>",
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"productCount": 123,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}{
"status": 123,
"message": "<string>",
"time": "2023-11-07T05:31:56Z",
"method": "<string>",
"url": "<string>"
}{
"status": 401,
"message": "Unauthorized",
"time": "2024-06-14T19:21:00Z",
"method": "GET",
"url": "/organizations/a8cd2722-1234-4567-9abc-def123456789/catalogs"
}{
"status": 123,
"message": "<string>",
"time": "2023-11-07T05:31:56Z",
"method": "<string>",
"url": "<string>"
}{
"status": 123,
"message": "<string>",
"time": "2023-11-07T05:31:56Z",
"method": "<string>",
"url": "<string>"
}Catalog Operations
Update Catalog
Update catalog details
PUT
/
organizations
/
{orgId}
/
catalogs
/
{catalogId}
Update Catalog
Authorizations
API key for authentication
Path Parameters
Organization ID (UUID)
Catalog ID (UUID)
Body
application/json
Response
Catalog updated successfully
⌘I